Skip to content
Last updated

DeleteTicketReply

Deletes a ticket reply.

Removes a specific ticket reply from the system. This cannot be undone.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"DeleteTicketReply"Required
ticketidintThe ticket the reply belongs toRequired
replyidintThe ticket reply to be deletedRequired

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'DeleteTicketReply',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'ticketid' => '1',
            'replyid' => '1',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'DeleteTicketReply';
$postData = array(
    'ticketid' => '1',
    'replyid' => '1',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success"
}

Error Responses

Possible error condition responses include:

  • Ticket ID Required
  • Reply ID Required
  • Ticket ID Not Found
  • Reply ID Not Found

Version History

VersionChangelog
7.10.0Initial Version